请选择 进入手机版 | 继续访问电脑版
查看: 156|回复: 4

新建项目gradle依赖base sdk以后报错 assets/rsa/t.jks' collided

[复制链接]

1

主题

1

帖子

8

积分

云客

Rank: 1

积分
8
发表于 2020-3-15 09:59:19 | 显示全部楼层 |阅读模式
本帖最后由 lykAnd 于 2020-3-15 14:32 编辑

AS 3.6.1 新建的module,gradle添加 com.netease.nimlib:basesdk:7.4.0 依赖以后,运行直接报错,错误信息:
Execution failed for task ':app3:packageDebug'.
> A failure occurred while executing com.android.build.gradle.internal.tasks.Workers$ActionFacade
   > Entry name 'assets/rsa/t.jks' collided补充:测试了一下,从6.9.0版本开始到7.4.0,用gradle依赖的方式都会出现问题。使用6.7.0版本的就可以正常运行。
回复

使用道具 举报

1

主题

79

帖子

457

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
457
发表于 2020-3-17 10:17:12 | 显示全部楼层
AS 版本要用3.5的版本
回复

使用道具 举报

0

主题

1

帖子

7

积分

云客

Rank: 1

积分
7
发表于 2020-3-17 16:13:47 | 显示全部楼层
有没有其他的解决办法?
回复

使用道具 举报

0

主题

1

帖子

4

积分

云客

Rank: 1

积分
4
发表于 2020-3-19 21:01:51 | 显示全部楼层
这个问题我们也遇到了,升级到Android studio3.6.1版本编译会报这个错误,修改打包方式用原来的可以解决问题gradle.Properties文件增加:android.useNewApkCreator=false
云信这边还有其他解决方法吗,毕竟Android studio升级肯定要的,新的打包工具zipflinger也可以提升效率来着
回复

使用道具 举报

29

主题

77

帖子

366

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
366
发表于 2020-3-20 10:48:06 | 显示全部楼层
这块目前还没有办法,之后会考虑做兼容
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表